<html>
<head>
<title>Ogre::SmallVectorTemplateBase&lt; T, true &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html">SmallVectorTemplateBase&lt; T, true &gt;</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SmallVectorTemplateBase&lt; T, true &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SmallVectorTemplateBase&lt; T, true &gt;" --><!-- doxytag: inherits="Ogre::SmallVectorTemplateCommon" -->
<p><a class="el" href="classOgre_1_1SmallVectorTemplateBase.html" title="SmallVectorTemplateBase&lt;isPodLike = false&gt; - This is where we put method implementations that are desig...">SmallVectorTemplateBase</a>&lt;<a class="el" href="structOgre_1_1isPodLike.html">isPodLike</a> = true&gt; - This is where we put method implementations that are designed to work with POD-like T's.  
 <a href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SmallVectorTemplateBase&lt; T, true &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4__inherit__graph.gif" border="0" usemap="#Ogre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4_inherit__map" id="Ogre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1SmallVectorTemplateCommon.html" title="Ogre::SmallVectorTemplateCommon\&lt; T \&gt;" alt="" coords="9,83,276,112"/><area shape="rect" id="node4" href="classOgre_1_1SmallVectorBase.html" title="SmallVectorBase &#45; This is all the non&#45;templated stuff common to all SmallVectors." alt="" coords="64,5,221,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a8985bda74ea85da34c90a7356586e0c4">size_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ptrdiff_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a60eb6558693ab2020fba03c8ea5038c5">difference_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a4b86aea9ff25e7749483c2431e02db41">value_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::reverse_iterator<br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3f415ae6de28aa261e1d160d7577a3f7">const_reverse_iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::reverse_iterator<br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af5c75e8908b1e44ae53d8c12d784ed96">reverse_iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a30c1c165d5ea9aa46fb67bec11548ade">pointer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ab4fb906b0b1c29080f7e14222a7a2677">const_pointer</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a56118d327a717e0e0aa8fb98a1eae62e">SmallVectorTemplateBase</a> (size_t Size)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a4d15744dc601db69005758b6e4b5657f">grow</a> (size_t MinSize=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">grow - double the size of the allocated memory, guaranteeing space for at least one more element or MinSize if specified.  <a href="#a4d15744dc601db69005758b6e4b5657f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a6f3019eb35333a8ca4e10f14923298d4">begin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a4471cc9429b94565eb4fa2b1776bf072">begin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#add1c1041f5e7ca89feccdf57e746558b">end</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a835e6b2dae6124a55568f1830e265a76">end</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af5c75e8908b1e44ae53d8c12d784ed96">reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#adf2eb6c75c5a21936b9d658de1a3e132">rbegin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3f415ae6de28aa261e1d160d7577a3f7">const_reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a01aa51bc73f7a6eaf566e1c361968a7f">rbegin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af5c75e8908b1e44ae53d8c12d784ed96">reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3e4105820c0f20b850e06ce43eadb92f">rend</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3f415ae6de28aa261e1d160d7577a3f7">const_reverse_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a67023569cb41feecb45058a3f915d7cd">rend</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a8985bda74ea85da34c90a7356586e0c4">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a468dce6f907db307645a2f4172e7ac9b">size</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a8985bda74ea85da34c90a7356586e0c4">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a81a54d0d210524b557b1eeec2f6ac21f">max_size</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6323ffa2729fe2ee03a0d96cbff9ee4">capacity</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">capacity - Return the total number of elements in the currently allocated buffer.  <a href="#af6323ffa2729fe2ee03a0d96cbff9ee4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a30c1c165d5ea9aa46fb67bec11548ade">pointer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a29f4c0677b9a04a1f137adc07be5be3a">data</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">data - Return a pointer to the vector's buffer, even if <a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">empty()</a>.  <a href="#a29f4c0677b9a04a1f137adc07be5be3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ab4fb906b0b1c29080f7e14222a7a2677">const_pointer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a2f7faf79aed1fe725c76735fd7ad5b81">data</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">data - Return a pointer to the vector's buffer, even if <a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">empty()</a>.  <a href="#a2f7faf79aed1fe725c76735fd7ad5b81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ab3bb5e3be2e6a4f8b68b61c1c16028e4">operator[]</a> (unsigned idx)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a2ca8bafd1b3b6c5b1b06818d138cbbea">operator[]</a> (unsigned idx) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#aabbc326f17698c1b404fcfed47099f19">front</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#aec3bd682d3ed818b897878815ac83d20">front</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ade708dba3d6aa380726d9e10dfd6aac7">back</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a2f5dfe1c39552d8523c2af2ddce07a91">back</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">empty</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#afe468a8a8329abbea1476e5acb20956d">destroy_range</a> (T *, T *)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename It1 , typename It2 &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">static void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a15dd2d9102920d0bcb714d3afd6b463e">uninitialized_copy</a> (It1 I, It1 E, It2 Dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">uninitialized_copy - Copy the range [I, E) onto the uninitialized memory starting with "Dest", constructing elements into it as needed.  <a href="#a15dd2d9102920d0bcb714d3afd6b463e"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T1 , typename T2 &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">static void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a75b4f9ab566096949d688f6cb63b6036">uninitialized_copy</a> (T1 *I, T1 *E, T2 *Dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">uninitialized_copy - Copy the range [I, E) onto the uninitialized memory starting with "Dest", constructing elements into it as needed.  <a href="#a75b4f9ab566096949d688f6cb63b6036"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a9b0a8d792d57165163e81870ee845cfc">setEnd</a> (T *P)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a1728b6780ae633970057c192ff063d8b">capacity_ptr</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#aabd760b7b5477ae8be10b39ca1168e6b">capacity_ptr</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#a35d115639af38102c992883c14e51070">isSmall</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">isSmall - Return true if this is a smallvector which has not had dynamic memory allocated for it.  <a href="#a35d115639af38102c992883c14e51070"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#ad4f1ec73633bd388e6dba1bdaefdd3b1">size_in_bytes</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">size_in_bytes - This returns size()*sizeof(T).  <a href="#ad4f1ec73633bd388e6dba1bdaefdd3b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#acaeefe578ca6a0597d8ff524a95b808e">capacity_in_bytes</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">capacity_in_bytes - This returns capacity()*sizeof(T).  <a href="#acaeefe578ca6a0597d8ff524a95b808e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#ad760f5d166d2693f86adf4166130aadc">grow_pod</a> (size_t MinSizeInBytes, size_t TSize)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">grow_pod - This is an implementation of the grow() method which only works  <a href="#ad760f5d166d2693f86adf4166130aadc"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#aa70d867a06b2a1bd08243376d635cc3e">BeginX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#a2871c527843176dbbe6b7a75c2074778">EndX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#afe2388747f521a0e3222848a22c98e7c">CapacityX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">union <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html">Ogre::SmallVectorBase::U</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#ac473944a005da07efa72b8dce19f1ce1">FirstEl</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
class Ogre::SmallVectorTemplateBase&lt; T, true &gt;</h3>

<p><a class="el" href="classOgre_1_1SmallVectorTemplateBase.html" title="SmallVectorTemplateBase&lt;isPodLike = false&gt; - This is where we put method implementations that are desig...">SmallVectorTemplateBase</a>&lt;<a class="el" href="structOgre_1_1isPodLike.html">isPodLike</a> = true&gt; - This is where we put method implementations that are designed to work with POD-like T's. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00290">290</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ad1c6b259854f9fa396fa1eee2e10b2b6"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::const_iterator" ref="ad1c6b259854f9fa396fa1eee2e10b2b6" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const T* <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00173">173</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab4fb906b0b1c29080f7e14222a7a2677"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::const_pointer" ref="ab4fb906b0b1c29080f7e14222a7a2677" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const T* <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ab4fb906b0b1c29080f7e14222a7a2677">const_pointer</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00181">181</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="af6adada5ede6dc97e6be23bc96b286da"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::const_reference" ref="af6adada5ede6dc97e6be23bc96b286da" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const T&amp; <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00179">179</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f415ae6de28aa261e1d160d7577a3f7"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::const_reverse_iterator" ref="a3f415ae6de28aa261e1d160d7577a3f7" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::reverse_iterator&lt;<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a>&gt; <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3f415ae6de28aa261e1d160d7577a3f7">const_reverse_iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00175">175</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a60eb6558693ab2020fba03c8ea5038c5"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::difference_type" ref="a60eb6558693ab2020fba03c8ea5038c5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef ptrdiff_t <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a60eb6558693ab2020fba03c8ea5038c5">difference_type</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00170">170</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad3aa63daaa8c3754f1e8be544cb617ae"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::iterator" ref="ad3aa63daaa8c3754f1e8be544cb617ae" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T* <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1SmallVectorImpl.html#a9a1d14b49afc3807af68fd5f2ef6238c">Ogre::SmallVectorImpl&lt; T &gt;</a>, <a class="el" href="classOgre_1_1SmallVectorImpl.html#a9a1d14b49afc3807af68fd5f2ef6238c">Ogre::SmallVectorImpl&lt; PMTriangle * &gt;</a>, and <a class="el" href="classOgre_1_1SmallVectorImpl.html#a9a1d14b49afc3807af68fd5f2ef6238c">Ogre::SmallVectorImpl&lt; PMVertex * &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00172">172</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a30c1c165d5ea9aa46fb67bec11548ade"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::pointer" ref="a30c1c165d5ea9aa46fb67bec11548ade" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T* <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a30c1c165d5ea9aa46fb67bec11548ade">pointer</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00180">180</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd7dfa3b3e065207cd1d9923c0d81745"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::reference" ref="acd7dfa3b3e065207cd1d9923c0d81745" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T&amp; <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00178">178</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="af5c75e8908b1e44ae53d8c12d784ed96"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::reverse_iterator" ref="af5c75e8908b1e44ae53d8c12d784ed96" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::reverse_iterator&lt;<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a>&gt; <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af5c75e8908b1e44ae53d8c12d784ed96">reverse_iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00176">176</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8985bda74ea85da34c90a7356586e0c4"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::size_type" ref="a8985bda74ea85da34c90a7356586e0c4" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef size_t <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a8985bda74ea85da34c90a7356586e0c4">size_type</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1SmallVectorImpl.html#a07042d1d8ec08f3055174fc0f386b7ab">Ogre::SmallVectorImpl&lt; T &gt;</a>, <a class="el" href="classOgre_1_1SmallVectorImpl.html#a07042d1d8ec08f3055174fc0f386b7ab">Ogre::SmallVectorImpl&lt; PMTriangle * &gt;</a>, and <a class="el" href="classOgre_1_1SmallVectorImpl.html#a07042d1d8ec08f3055174fc0f386b7ab">Ogre::SmallVectorImpl&lt; PMVertex * &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00169">169</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b86aea9ff25e7749483c2431e02db41"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::value_type" ref="a4b86aea9ff25e7749483c2431e02db41" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a4b86aea9ff25e7749483c2431e02db41">value_type</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00171">171</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a56118d327a717e0e0aa8fb98a1eae62e"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::SmallVectorTemplateBase" ref="a56118d327a717e0e0aa8fb98a1eae62e" args="(size_t Size)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateBase.html">Ogre::SmallVectorTemplateBase</a>&lt; T, true &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateBase.html">SmallVectorTemplateBase</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>Size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00292">292</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ade708dba3d6aa380726d9e10dfd6aac7"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::back" ref="ade708dba3d6aa380726d9e10dfd6aac7" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ade708dba3d6aa380726d9e10dfd6aac7">back</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00227">227</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00463">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00400">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::pop_back_val()</a>.</p>

</div>
</div>
<a class="anchor" id="a2f5dfe1c39552d8523c2af2ddce07a91"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::back" ref="a2f5dfe1c39552d8523c2af2ddce07a91" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ade708dba3d6aa380726d9e10dfd6aac7">back</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00230">230</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6f3019eb35333a8ca4e10f14923298d4"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::begin" ref="a6f3019eb35333a8ca4e10f14923298d4" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a6f3019eb35333a8ca4e10f14923298d4">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00184">184</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00436">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::assign()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00204">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::capacity()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00350">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::clear()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00207">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::data()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00220">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::front()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00463">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00594">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::operator&lt;()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00661">Ogre::SmallVectorImpl&lt; T &gt;::operator=()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00586">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::operator==()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00211">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::operator[]()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00196">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::rend()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00355">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::resize()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00608">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::set_size()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00199">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::size()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00340">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::~SmallVectorImpl()</a>.</p>

</div>
</div>
<a class="anchor" id="a4471cc9429b94565eb4fa2b1776bf072"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::begin" ref="a4471cc9429b94565eb4fa2b1776bf072" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a6f3019eb35333a8ca4e10f14923298d4">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00185">185</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="af6323ffa2729fe2ee03a0d96cbff9ee4"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::capacity" ref="af6323ffa2729fe2ee03a0d96cbff9ee4" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6323ffa2729fe2ee03a0d96cbff9ee4">capacity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>capacity - Return the total number of elements in the currently allocated buffer. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00204">204</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00436">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::assign()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00379">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::reserve()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00355">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::resize()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00608">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::set_size()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="acaeefe578ca6a0597d8ff524a95b808e"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::capacity_in_bytes" ref="acaeefe578ca6a0597d8ff524a95b808e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1SmallVectorBase.html#acaeefe578ca6a0597d8ff524a95b808e">Ogre::SmallVectorBase::capacity_in_bytes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>capacity_in_bytes - This returns capacity()*sizeof(T). </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00149">149</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::BeginX</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::CapacityX</a>.</p>

</div>
</div>
<a class="anchor" id="a1728b6780ae633970057c192ff063d8b"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::capacity_ptr" ref="a1728b6780ae633970057c192ff063d8b" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a1728b6780ae633970057c192ff063d8b">capacity_ptr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00189">189</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00411">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::append()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00204">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::capacity()</a>.</p>

</div>
</div>
<a class="anchor" id="aabd760b7b5477ae8be10b39ca1168e6b"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::capacity_ptr" ref="aabd760b7b5477ae8be10b39ca1168e6b" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a1728b6780ae633970057c192ff063d8b">capacity_ptr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00190">190</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a29f4c0677b9a04a1f137adc07be5be3a"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::data" ref="a29f4c0677b9a04a1f137adc07be5be3a" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a30c1c165d5ea9aa46fb67bec11548ade">pointer</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a29f4c0677b9a04a1f137adc07be5be3a">data</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>data - Return a pointer to the vector's buffer, even if <a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">empty()</a>. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00207">207</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2f7faf79aed1fe725c76735fd7ad5b81"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::data" ref="a2f7faf79aed1fe725c76735fd7ad5b81" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ab4fb906b0b1c29080f7e14222a7a2677">const_pointer</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a29f4c0677b9a04a1f137adc07be5be3a">data</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>data - Return a pointer to the vector's buffer, even if <a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">empty()</a>. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00209">209</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="afe468a8a8329abbea1476e5acb20956d"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::destroy_range" ref="afe468a8a8329abbea1476e5acb20956d" args="(T *, T *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1SmallVectorTemplateBase.html">Ogre::SmallVectorTemplateBase</a>&lt; T, true &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#afe468a8a8329abbea1476e5acb20956d">destroy_range</a> </td>
          <td>(</td>
          <td class="paramtype">T *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00295">295</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea4a8480bd586e4ab91dcf8291b576c3"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::empty" ref="aea4a8480bd586e4ab91dcf8291b576c3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">Ogre::SmallVectorBase::empty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00158">158</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::BeginX</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::EndX</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00754">Ogre::SmallVector&lt; PMTriangle *, 8 &gt;::SmallVector()</a>.</p>

</div>
</div>
<a class="anchor" id="add1c1041f5e7ca89feccdf57e746558b"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::end" ref="add1c1041f5e7ca89feccdf57e746558b" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#add1c1041f5e7ca89feccdf57e746558b">end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00186">186</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00411">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::append()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00436">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::assign()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00227">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::back()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00350">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::clear()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00444">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::erase()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00463">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00594">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::operator&lt;()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00661">Ogre::SmallVectorImpl&lt; T &gt;::operator=()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00586">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::operator==()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00211">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::operator[]()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00395">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::pop_back()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00384">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::push_back()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00194">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::rbegin()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00355">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::resize()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00199">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::size()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00340">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::~SmallVectorImpl()</a>.</p>

</div>
</div>
<a class="anchor" id="a835e6b2dae6124a55568f1830e265a76"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::end" ref="a835e6b2dae6124a55568f1830e265a76" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad1c6b259854f9fa396fa1eee2e10b2b6">const_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#add1c1041f5e7ca89feccdf57e746558b">end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00187">187</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="aabbc326f17698c1b404fcfed47099f19"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::front" ref="aabbc326f17698c1b404fcfed47099f19" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#aabbc326f17698c1b404fcfed47099f19">front</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00220">220</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec3bd682d3ed818b897878815ac83d20"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::front" ref="aec3bd682d3ed818b897878815ac83d20" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#aabbc326f17698c1b404fcfed47099f19">front</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00223">223</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4d15744dc601db69005758b6e4b5657f"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::grow" ref="a4d15744dc601db69005758b6e4b5657f" args="(size_t MinSize=0)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SmallVectorTemplateBase.html">Ogre::SmallVectorTemplateBase</a>&lt; T, true &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a4d15744dc601db69005758b6e4b5657f">grow</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>MinSize</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>grow - double the size of the allocated memory, guaranteeing space for at least one more element or MinSize if specified. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00317">317</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1SmallVectorBase.html#ad760f5d166d2693f86adf4166130aadc">Ogre::SmallVectorBase::grow_pod()</a>.</p>

</div>
</div>
<a class="anchor" id="ad760f5d166d2693f86adf4166130aadc"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::grow_pod" ref="ad760f5d166d2693f86adf4166130aadc" args="(size_t MinSizeInBytes, size_t TSize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SmallVectorBase.html#ad760f5d166d2693f86adf4166130aadc">Ogre::SmallVectorBase::grow_pod</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>MinSizeInBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>TSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>grow_pod - This is an implementation of the grow() method which only works </p>
<p>on POD-like data types and is out of line to reduce code duplication. </p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00317">grow()</a>.</p>

</div>
</div>
<a class="anchor" id="a35d115639af38102c992883c14e51070"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::isSmall" ref="a35d115639af38102c992883c14e51070" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SmallVectorBase.html#a35d115639af38102c992883c14e51070">Ogre::SmallVectorBase::isSmall</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>isSmall - Return true if this is a smallvector which has not had dynamic memory allocated for it. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00139">139</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::BeginX</a>, and <a class="el" href="classOgre_1_1SmallVectorBase.html#ac473944a005da07efa72b8dce19f1ce1">Ogre::SmallVectorBase::FirstEl</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00340">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::~SmallVectorImpl()</a>.</p>

</div>
</div>
<a class="anchor" id="a81a54d0d210524b557b1eeec2f6ac21f"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::max_size" ref="a81a54d0d210524b557b1eeec2f6ac21f" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a8985bda74ea85da34c90a7356586e0c4">size_type</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a81a54d0d210524b557b1eeec2f6ac21f">max_size</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00200">200</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab3bb5e3be2e6a4f8b68b61c1c16028e4"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::operator[]" ref="ab3bb5e3be2e6a4f8b68b61c1c16028e4" args="(unsigned idx)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#acd7dfa3b3e065207cd1d9923c0d81745">reference</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00211">211</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2ca8bafd1b3b6c5b1b06818d138cbbea"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::operator[]" ref="a2ca8bafd1b3b6c5b1b06818d138cbbea" args="(unsigned idx) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af6adada5ede6dc97e6be23bc96b286da">const_reference</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00215">215</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="adf2eb6c75c5a21936b9d658de1a3e132"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::rbegin" ref="adf2eb6c75c5a21936b9d658de1a3e132" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af5c75e8908b1e44ae53d8c12d784ed96">reverse_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#adf2eb6c75c5a21936b9d658de1a3e132">rbegin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00194">194</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a01aa51bc73f7a6eaf566e1c361968a7f"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::rbegin" ref="a01aa51bc73f7a6eaf566e1c361968a7f" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3f415ae6de28aa261e1d160d7577a3f7">const_reverse_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#adf2eb6c75c5a21936b9d658de1a3e132">rbegin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00195">195</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e4105820c0f20b850e06ce43eadb92f"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::rend" ref="a3e4105820c0f20b850e06ce43eadb92f" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#af5c75e8908b1e44ae53d8c12d784ed96">reverse_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3e4105820c0f20b850e06ce43eadb92f">rend</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00196">196</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a67023569cb41feecb45058a3f915d7cd"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::rend" ref="a67023569cb41feecb45058a3f915d7cd" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3f415ae6de28aa261e1d160d7577a3f7">const_reverse_iterator</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a3e4105820c0f20b850e06ce43eadb92f">rend</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00197">197</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9b0a8d792d57165163e81870ee845cfc"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::setEnd" ref="a9b0a8d792d57165163e81870ee845cfc" args="(T *P)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a9b0a8d792d57165163e81870ee845cfc">setEnd</a> </td>
          <td>(</td>
          <td class="paramtype">T *&#160;</td>
          <td class="paramname"><em>P</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00165">165</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00411">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::append()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00436">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::assign()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00453">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::erase()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00463">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00395">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::pop_back()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00384">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::push_back()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00355">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::resize()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00608">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::set_size()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="a468dce6f907db307645a2f4172e7ac9b"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::size" ref="a468dce6f907db307645a2f4172e7ac9b" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a8985bda74ea85da34c90a7356586e0c4">size_type</a> <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html">Ogre::SmallVectorTemplateCommon</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#a468dce6f907db307645a2f4172e7ac9b">size</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00199">199</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00411">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::append()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00484">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00661">Ogre::SmallVectorImpl&lt; T &gt;::operator=()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00586">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::operator==()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00355">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::resize()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="ad4f1ec73633bd388e6dba1bdaefdd3b1"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::size_in_bytes" ref="ad4f1ec73633bd388e6dba1bdaefdd3b1" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1SmallVectorBase.html#ad4f1ec73633bd388e6dba1bdaefdd3b1">Ogre::SmallVectorBase::size_in_bytes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size_in_bytes - This returns size()*sizeof(T). </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00144">144</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::BeginX</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00118">Ogre::SmallVectorBase::EndX</a>.</p>

</div>
</div>
<a class="anchor" id="a15dd2d9102920d0bcb714d3afd6b463e"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::uninitialized_copy" ref="a15dd2d9102920d0bcb714d3afd6b463e" args="(It1 I, It1 E, It2 Dest)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename It1 , typename It2 &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1SmallVectorTemplateBase.html">Ogre::SmallVectorTemplateBase</a>&lt; T, true &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a15dd2d9102920d0bcb714d3afd6b463e">uninitialized_copy</a> </td>
          <td>(</td>
          <td class="paramtype">It1&#160;</td>
          <td class="paramname"><em>I</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">It1&#160;</td>
          <td class="paramname"><em>E</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">It2&#160;</td>
          <td class="paramname"><em>Dest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>uninitialized_copy - Copy the range [I, E) onto the uninitialized memory starting with "Dest", constructing elements into it as needed. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00300">300</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00252">Ogre::SmallVectorTemplateBase&lt; T, isPodLike &gt;::uninitialized_copy()</a>.</p>

</div>
</div>
<a class="anchor" id="a75b4f9ab566096949d688f6cb63b6036"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::uninitialized_copy" ref="a75b4f9ab566096949d688f6cb63b6036" args="(T1 *I, T1 *E, T2 *Dest)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename T1 , typename T2 &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1SmallVectorTemplateBase.html">Ogre::SmallVectorTemplateBase</a>&lt; T, true &gt;::<a class="el" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html#a15dd2d9102920d0bcb714d3afd6b463e">uninitialized_copy</a> </td>
          <td>(</td>
          <td class="paramtype">T1 *&#160;</td>
          <td class="paramname"><em>I</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T1 *&#160;</td>
          <td class="paramname"><em>E</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T2 *&#160;</td>
          <td class="paramname"><em>Dest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>uninitialized_copy - Copy the range [I, E) onto the uninitialized memory starting with "Dest", constructing elements into it as needed. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00308">308</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa70d867a06b2a1bd08243376d635cc3e"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::BeginX" ref="aa70d867a06b2a1bd08243376d635cc3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1SmallVectorBase.html#aa70d867a06b2a1bd08243376d635cc3e">Ogre::SmallVectorBase::BeginX</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00184">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::begin()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00149">Ogre::SmallVectorBase::capacity_in_bytes()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00350">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::clear()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00158">Ogre::SmallVectorBase::empty()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00139">Ogre::SmallVectorBase::isSmall()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00144">Ogre::SmallVectorBase::size_in_bytes()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="afe2388747f521a0e3222848a22c98e7c"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::CapacityX" ref="afe2388747f521a0e3222848a22c98e7c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * <a class="el" href="classOgre_1_1SmallVectorBase.html#afe2388747f521a0e3222848a22c98e7c">Ogre::SmallVectorBase::CapacityX</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00149">Ogre::SmallVectorBase::capacity_in_bytes()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00189">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::capacity_ptr()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00463">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00384">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::push_back()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="a2871c527843176dbbe6b7a75c2074778"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::EndX" ref="a2871c527843176dbbe6b7a75c2074778" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * <a class="el" href="classOgre_1_1SmallVectorBase.html#a2871c527843176dbbe6b7a75c2074778">Ogre::SmallVectorBase::EndX</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00350">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::clear()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00158">Ogre::SmallVectorBase::empty()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00186">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::end()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00165">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::setEnd()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00144">Ogre::SmallVectorBase::size_in_bytes()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="ac473944a005da07efa72b8dce19f1ce1"></a><!-- doxytag: member="Ogre::SmallVectorTemplateBase&lt; T, true &gt;::FirstEl" ref="ac473944a005da07efa72b8dce19f1ce1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html">Ogre::SmallVectorBase::U</a>  <a class="el" href="classOgre_1_1SmallVectorBase.html#ac473944a005da07efa72b8dce19f1ce1">Ogre::SmallVectorBase::FirstEl</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00139">Ogre::SmallVectorBase::isSmall()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
